Package org.eclipse.microprofile.lra.tck.service

# Class LRAMetricRest

java.lang.Object
org.eclipse.microprofile.lra.tck.service.LRAMetricRest

@Path("lra-tck-metric") public class LRAMetricRest extends Object
JAX-RS endpoints for the `LRAMetricService`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LRA_ID_PARAM`
`static final String`
`LRA_TCK_METRIC_RESOURCE_PATH`
`static final String`
`METRIC_PATH`
`static final String`
`METRIC_TYPE_PARAM`
`static final String`
`PARTICIPANT_NAME_PARAM`

## Constructor Summary

Constructors
Constructor
Description
`LRAMetricRest()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMetric(LRAMetricType metricType, URI lra, String participantName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LRA_TCK_METRIC_RESOURCE_PATH

public static final String LRA_TCK_METRIC_RESOURCE_PATH

See Also:
  - Constant Field Values

### METRIC_PATH

public static final String METRIC_PATH

See Also:
  - Constant Field Values

### METRIC_TYPE_PARAM

public static final String METRIC_TYPE_PARAM

See Also:
  - Constant Field Values

### LRA_ID_PARAM

public static final String LRA_ID_PARAM

See Also:
  - Constant Field Values

### PARTICIPANT_NAME_PARAM

public static final String PARTICIPANT_NAME_PARAM

See Also:
  - Constant Field Values

## Constructor Details

### LRAMetricRest

public LRAMetricRest()

## Method Details

### getMetric

@Path("metric") @GET @Produces("text/plain") public int getMetric(@QueryParam("metricType") LRAMetricType metricType, @QueryParam("lraId") URI lra, @QueryParam("participantName") String participantName)